GSI Forum
GSI Helmholtzzentrum für Schwerionenforschung

Home » PANDA » PandaRoot » Bugs, Fixes, Releases » EvtGen searches for 64-bit include files
icon4.gif  EvtGen searches for 64-bit include files [message #7220] Mon, 25 August 2008 12:51 Go to previous message
Jens Sören Lange is currently offline  Jens Sören Lange
Messages: 193
Registered: June 2005
first-grade participant
From: *dynamic.jyu.fi
Hi all,

some more problems with EvtGen.

Based upon an observation by Irina.

With the new external packages under suse 10.3

using the EvtGen configuration "gcc, g77, (nothing), -lRIO -lSQL -lNet" (which works fine the old external packages) it now starts searching for 64-bit include files (which I don't have on my 32-bit notebook). But there is nothing in the config.mk which could be changed (i.e. there is no 64-bit path in the config.mk).

soeren@pchad23:~/panda/pandaroot/trunk/pgenerators/EvtGen> make
Checking makedepend in EvtGen
make: *** No rule to make target `/usr/include/x86_64-linux/i386-linux/gnu/stubs.h', needed by `cgFinder.o'. Stop.

Any idea how to fix it?

P.S. Stefano can you maybe also put the solution for Irina's EvtGen "missing libshift" problem into the wiki? (also suse 10.3).

And who actually put the "EvtGen: use gfortran as your c++ compiler(!!) if you don't have g77" into the wiki. it seems to work(!) but we still don't understand why.

cheers, Soeren
 
Read Message icon4.gif
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Previous Topic: TPC error during compilation
Next Topic: CMake Problem Thread
Goto Forum:
  


Current Time: Wed Oct 20 16:32:27 CEST 2021

Total time taken to generate the page: 0.01769 seconds